Summary:	A tool for creating, managing and monitoring software RAID arrays.
Name:		mdadm
Version:	2.0
Release:	3
Group:		System Environment/Daemons
License:	GPL
Source0:	http://www.cse.unsw.edu.au/~neilb/source/mdctl/%{name}-%{version}.tgz
Source1:	mdadm.init-1
Source2:	mdadm-raid.init-1
Source3:	raidtab2mdadm.pl-2
Prereq:		/sbin/chkconfig, initscripts >= 5.20, perl
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Obsoletes:	raidtools
Provides:	raidtools

%description
mdadm is a tool for creating, managing and monitoring
device arrays using the "md" driver in Linux, also
known as Software RAID arrays.

%files
  %defattr(0444,root,root,0555)
  %doc %{_mandir}/man?/*

  %attr(0500,root,root)		%{_root_sbindir}/mdadm
  %attr(0600,root,root)		%{_sysconfdir}/mdadm.conf.example

  %attr(0500,root,root)		%config  %{_sysconfdir}/init.d/mdadm
  %attr(0500,root,root)         %config  %{_sysconfdir}/init.d/mdadm-raid

  %attr(0500,root,root)		%{_datadir}/mdadm/raidtab2mdadm.pl

%prep
%setup -q

%build
  make CWFLAGS="-Wall -Wstrict-prototypes" %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  make DESTDIR=$RPM_BUILD_ROOT install

  install -D mdadm.conf-example $RPM_BUILD_ROOT/%{_sysconfdir}/mdadm.conf.example
  install -D %{SOURCE1}         $RPM_BUILD_ROOT%{_sysconfdir}/init.d/mdadm
  install -D %{SOURCE2}         $RPM_BUILD_ROOT%{_sysconfdir}/init.d/mdadm-raid
  install -D %{SOURCE3}         $RPM_BUILD_ROOT%{_datadir}/mdadm/raidtab2mdadm.pl

%post
  if [ -f %{_sysconfdir}/raidtab ]; then
   	%{_datadir}/mdadm/raidtab2mdadm.pl
  fi
 
  if [ -f /var/lock/subsys/mdadm ]; then
        %{_sysconfdir}/init.d/mdadm restart || 1;
  fi

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Sep 06 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.0, Release 3
  - Don't build with -Werror in CWFLAGS for x86_64.

* Fri Sep 02 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.0, Release 2
  - Fix raidtab2mdadm.pl so it actually works...

* Thu Sep 01 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.0, Release 1
  - Upgrade to the latest upstream version (2.0).
  - Update the initscript to fix #0000729.

* Tue Jul 19 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.12.0, Release 3
  - Obsolete and Provide 'raidtools'.

* Mon Jul 18 2005 Pax Dickinson <pax@guardiandigital.com>
- Version 1.12.0, Release 2
  - Added init scripts for running mdadm in daemon monitor mode
  - Added raidtab2mdadm.pl script for raidtab to mdadm.conf conversion

* Tue Jun 29 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.12.0, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
